[Unit]
Description=Travelynx Railway Checkin Service
After=network.target
Requires=postgresql.service

[Service]
Type=simple
RemainAfterExit=yes
PIDFile=/var/cache/travelynx/travelynx.pid

ExecStart=/usr/local/bin/hypnotoad -f index.pl
ExecStop=/usr/local/bin/hypnotoad -s index.pl
ExecReload=/usr/local/bin/hypnotoad index.pl

User=travelynx
WorkingDirectory=/opt/travelynx

Environment=LANG=en_US.UTF-8
Environment=PERL5LIB=/opt/travelynx/local/lib/perl5

[Install]
WantedBy=multi-user.target
